
package de.ivu.elect.business.ergebniskonflikt.boundary;

import javax.enterprise.event.Observes;
import javax.enterprise.event.Reception;

import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

import de.ivu.elect.business.ergebnis.boundary.ErgebnisSelectChangeEvent;
import de.ivu.elect.business.ergebnis.entity.Ergebnis;

@GroupedConversationScoped
@ConversationGroup(AbstractErgebnisKonfliktSearchParameters.class)
public class ErgebnisKonfliktSearchParameters extends AbstractErgebnisKonfliktSearchParameters {

  private static final long serialVersionUID = 1L;

  private Ergebnis ergebnis;

  public ErgebnisKonfliktSearchParameters() {
    super();
  }

  public Ergebnis getErgebnis() {
    return ergebnis;
  }

  public void setErgebnis(Ergebnis ergebnis) {
    this.ergebnis = ergebnis;
  }

  public void onErgebnisSelectChangeEvent(@Observes(notifyObserver = Reception.IF_EXISTS) ErgebnisSelectChangeEvent event) {
    reset();
  }
}
